# Examples

| [ChatGPT OSS alternative](https://github.com/go-skynet/LocalAI/tree/master/examples/chatbot-ui)                                                                                                                | [Image generation](https://localai.io/api-endpoints/index.html#image-generation)                                                                                                              |
|------------------------------------------------------------------------------------------------------------------------|------------------------------------------------------------------------------------------------------------------------|
|  ![Screenshot from 2023-04-26 23-59-55](https://user-images.githubusercontent.com/2420543/234715439-98d12e03-d3ce-4f94-ab54-2b256808e05e.png)            | ![b6441997879](https://github.com/go-skynet/LocalAI/assets/2420543/d50af51c-51b7-4f39-b6c2-bf04c403894c)                  |

|                                                                    [Telegram bot](https://github.com/go-skynet/LocalAI/tree/master/examples/telegram-bot)   | [Flowise](https://github.com/go-skynet/LocalAI/tree/master/examples/flowise)                                                                                                                     |
|------------------------------------------------------------------------------------------------------------------------|------------------------------------------------------------------------------------------------------------------------|
![Screenshot from 2023-06-09 00-36-26](https://github.com/go-skynet/LocalAI/assets/2420543/e98b4305-fa2d-41cf-9d2f-1bb2d75ca902)   |  ![Screenshot from 2023-05-30 18-01-03](https://github.com/go-skynet/LocalAI/assets/2420543/02458782-0549-4131-971c-95ee56ec1af8)|    |

Here is a list of projects that can easily be integrated with the LocalAI backend. 


### Projects

### AutoGPT

_by [@mudler](https://github.com/mudler)_

This example shows how to use AutoGPT with LocalAI.

[Check it out here](https://github.com/go-skynet/LocalAI/tree/master/examples/autoGPT/)

### Chatbot-UI

_by [@mkellerman](https://github.com/mkellerman)_

![Screenshot from 2023-04-26 23-59-55](https://user-images.githubusercontent.com/2420543/234715439-98d12e03-d3ce-4f94-ab54-2b256808e05e.png)

This integration shows how to use LocalAI with [mckaywrigley/chatbot-ui](https://github.com/mckaywrigley/chatbot-ui).

[Check it out here](https://github.com/go-skynet/LocalAI/tree/master/examples/chatbot-ui/)

There is also a separate example to show how to manually setup a model: [example](https://github.com/go-skynet/LocalAI/tree/master/examples/chatbot-ui-manual/)

### K8sGPT

_by [@mudler](https://github.com/mudler)_

This example show how to use LocalAI inside Kubernetes with [k8sgpt](https://k8sgpt.ai).

![Screenshot from 2023-06-19 23-58-47](https://github.com/go-skynet/go-ggml-transformers.cpp/assets/2420543/cab87409-ee68-44ae-8d53-41627fb49509)

### Fine-tuning a model and convert it to gguf to use it with LocalAI

_by [@mudler](https://github.com/mudler)_

This example is an e2e example on how to fine-tune a model with [axolotl](https://github.com/OpenAccess-AI-Collective/axolotl) and convert it to gguf to use it with LocalAI.

[Check it out here](https://github.com/mudler/LocalAI/tree/master/examples/e2e-fine-tuning/)

### Flowise

_by [@mudler](https://github.com/mudler)_

This example shows how to use [FlowiseAI/Flowise](https://github.com/FlowiseAI/Flowise) with LocalAI.

[Check it out here](https://github.com/go-skynet/LocalAI/tree/master/examples/flowise/)

### Discord bot

_by [@mudler](https://github.com/mudler)_

Run a discord bot which lets you talk directly with a model

[Check it out here](https://github.com/go-skynet/LocalAI/tree/master/examples/discord-bot/), or for a live demo you can talk with our bot in #random-bot in our discord server.

### Langchain

_by [@dave-gray101](https://github.com/dave-gray101)_

A ready to use example to show e2e how to integrate LocalAI with langchain

[Check it out here](https://github.com/go-skynet/LocalAI/tree/master/examples/langchain/)

### Langchain Python

_by [@mudler](https://github.com/mudler)_

A ready to use example to show e2e how to integrate LocalAI with langchain

[Check it out here](https://github.com/go-skynet/LocalAI/tree/master/examples/langchain-python/)

### LocalAI functions

_by [@mudler](https://github.com/mudler)_

A ready to use example to show how to use OpenAI functions with LocalAI

[Check it out here](https://github.com/go-skynet/LocalAI/tree/master/examples/functions/)

### LocalAI WebUI

_by [@dhruvgera](https://github.com/dhruvgera)_

![image](https://user-images.githubusercontent.com/42107491/235344183-44b5967d-ba22-4331-804c-8da7004a5d35.png)

A light, community-maintained web interface for LocalAI

[Check it out here](https://github.com/go-skynet/LocalAI/tree/master/examples/localai-webui/)

### How to run rwkv models

_by [@mudler](https://github.com/mudler)_

A full example on how to run RWKV models with LocalAI

[Check it out here](https://github.com/go-skynet/LocalAI/tree/master/examples/rwkv/)

### PrivateGPT

_by [@mudler](https://github.com/mudler)_

A full example on how to run PrivateGPT with LocalAI

[Check it out here](https://github.com/go-skynet/LocalAI/tree/master/examples/privateGPT/)

### Slack bot

_by [@mudler](https://github.com/mudler)_

Run a slack bot which lets you talk directly with a model

[Check it out here](https://github.com/go-skynet/LocalAI/tree/master/examples/slack-bot/)

### Slack bot (Question answering)

_by [@mudler](https://github.com/mudler)_

Run a slack bot, ideally for teams, which lets you ask questions on a documentation website, or a github repository.

[Check it out here](https://github.com/go-skynet/LocalAI/tree/master/examples/slack-qa-bot/)

### Question answering on documents with llama-index

_by [@mudler](https://github.com/mudler)_

Shows how to integrate with [Llama-Index](https://gpt-index.readthedocs.io/en/stable/getting_started/installation.html) to enable question answering on a set of documents.

[Check it out here](https://github.com/go-skynet/LocalAI/tree/master/examples/query_data/)

### Question answering on documents with langchain and chroma

_by [@mudler](https://github.com/mudler)_

Shows how to integrate with `Langchain` and `Chroma` to enable question answering on a set of documents.

[Check it out here](https://github.com/go-skynet/LocalAI/tree/master/examples/langchain-chroma/)

### Telegram bot

_by [@mudler](https://github.com/mudler)

![Screenshot from 2023-06-09 00-36-26](https://github.com/go-skynet/LocalAI/assets/2420543/e98b4305-fa2d-41cf-9d2f-1bb2d75ca902)

Use LocalAI to power a Telegram bot assistant, with Image generation and audio support!

[Check it out here](https://github.com/go-skynet/LocalAI/tree/master/examples/telegram-bot/)

### Template for Runpod.io

_by [@fHachenberg](https://github.com/fHachenberg)_

Allows to run any LocalAI-compatible model as a backend on the servers of https://runpod.io

[Check it out here](https://runpod.io/gsc?template=uv9mtqnrd0&ref=984wlcra)

### Continue

_by [@gruberdev](https://github.com/gruberdev)_

<img src="continue/img/screen.png" width="600" height="200" alt="Screenshot">

Demonstrates how to integrate an open-source copilot alternative that enhances code analysis, completion, and improvements. This approach seamlessly integrates with any LocalAI model, offering a more user-friendly experience.

[Check it out here](https://github.com/go-skynet/LocalAI/tree/master/examples/continue/)

### Streamlit bot

_by [@majoshi1](https://github.com/majoshi1)_

![Screenshot](streamlit-bot/streamlit-bot.png)

A chat bot made using `Streamlit` & LocalAI.

[Check it out here](https://github.com/go-skynet/LocalAI/tree/master/examples/streamlit-bot/)

## Want to contribute?

Create an issue, and put `Example: <description>` in the title! We will post your examples here.
